Bug 655843 - upgrade fails to detect non-existent mirrors
upgrade fails to detect non-existent mirrors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
Unspecified Linux
low Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-22 09:21 EST by John Beranek
Modified: 2010-12-03 07:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 06:59:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Log file of the upgrade (5.53 KB, text/plain)
2010-11-22 09:37 EST, John Beranek
no flags Details

  None (edit)
Description John Beranek 2010-11-22 09:21:30 EST
Description of problem:

I just tried to run preupgrade to upgrade my F12 x86_64 system to F14 x86_64. Our company has local mirrors of Fedora, Livna and Rpmfusion.

Ran preupgrade, it went and fetched package metadata, warned me about /boot not having enough space, and then continued to (supposedly) download packages.

Then, (clearly) without having downloaded anywhere near enough, I got to the "Completion" dialogue, where I was told preupgrade had downloaded everything it needed, and all I needed to do was reboot.

What it had _actually_ done, is look on our local mirror for Fedora 14 packages (we have _none_) not spot that there were none, and continue on like it had found repositories there, instead of what it actually found, '404' pages.

Version-Release number of selected component (if applicable):

preupgrade-1.1.8-1.fc12.1.noarch

How reproducible:

Always

Steps to Reproduce:
1. Configure a Fedora 12 machine for a local mirror that doesn't have F14 packages
2.Start a preupgrade to F14
  
Actual results:

The necessary packages are not downloaded

Expected results:

The user should either be told that the appropriate repositories cannot be found, or preupgrade should default to looking on the default mirror list to find packages. I'm not sure it can actually do this though, as the mirrorlist is only stored in the .repo files, and on our site the mirrorlist lines are commented out. They could just as easily have been deleted.

Additional info:
Comment 1 John Beranek 2010-11-22 09:23:34 EST
Hmm, faulty subject, needs to start _preupgrade_.
Comment 2 John Beranek 2010-11-22 09:37:39 EST
Created attachment 462048 [details]
Log file of the upgrade
Comment 3 Bug Zapper 2010-12-03 06:59:14 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 John Beranek 2010-12-03 07:15:55 EST
Lucky that no one took the bug in the week and a half when Fedora 12 was still supported then... ;)

Note You need to log in before you can comment on or make changes to this bug.